"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unpackFileBoxFromPb = exports.packFileBoxToPb = void 0;
const file_box_chunk_1 = require("./file-box-chunk");
const chunk_pb_1 = require("./chunk-pb");
function packFileBoxToPb(PbConstructor) {
    return async (fileBox) => {
        const fileBoxChunkStream = await file_box_chunk_1.packFileBoxToChunk(fileBox);
        const pbFileBox = chunk_pb_1.packFileBoxChunkToPb(PbConstructor)(fileBoxChunkStream);
        return pbFileBox;
    };
}
exports.packFileBoxToPb = packFileBoxToPb;
async function unpackFileBoxFromPb(pbStream) {
    const fileBoxChunkStream = chunk_pb_1.unpackFileBoxChunkFromPb(pbStream);
    const fileBox = await file_box_chunk_1.unpackFileBoxFromChunk(fileBoxChunkStream);
    return fileBox;
}
exports.unpackFileBoxFromPb = unpackFileBoxFromPb;
//# sourceMappingURL=file-box-pb.js.map