#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tstest_1 = __importDefault(require("tstest"));
const wechaty_puppet_1 = require("wechaty-puppet");
const grpc_1 = require("@chatie/grpc");
const file_box_pb_1 = require("./file-box-pb");
tstest_1.default('packFileBoxToPb()', async (t) => {
    const FILE_BOX_DATA = 'test';
    const FILE_BOX_NAME = 'test.dat';
    const fileBox = wechaty_puppet_1.FileBox.fromBuffer(Buffer.from(FILE_BOX_DATA), FILE_BOX_NAME);
    const pb = await file_box_pb_1.packFileBoxToPb(grpc_1.MessageFileStreamResponse)(fileBox);
    const restoredFileBox = await file_box_pb_1.unpackFileBoxFromPb(pb);
    t.true(restoredFileBox instanceof wechaty_puppet_1.FileBox, 'should get an instance of FileBOX');
    t.equal(restoredFileBox.name, fileBox.name, 'should get the right file box name');
    t.equal(await restoredFileBox.toBase64(), await fileBox.toBase64(), 'should get the right file box content');
});
//# sourceMappingURL=file-box-pb.spec.js.map