"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nextData = void 0;
/**
 * windmemory(20201027): generating fileBox data in server side might take longer.
 * Set to 60 sec to avoid unexpected timeout.
 */
const TIMEOUT = 60 * 1000;
async function nextData(stream) {
    const chunk = await new Promise((resolve, reject) => {
        const timer = setTimeout(reject, TIMEOUT);
        stream.once('data', chunk => {
            stream.pause();
            clearTimeout(timer);
            resolve(chunk);
        });
        stream.once('error', reject);
    });
    stream.resume();
    return chunk;
}
exports.nextData = nextData;
//# sourceMappingURL=next-data.js.map