import grpc from 'grpc';
import { EventRequest, EventTypeMap } from '@chatie/grpc';
import { Puppet } from 'wechaty-puppet';
export declare class EventStreamManager {
    puppet: Puppet;
    protected eventStream: undefined | grpc.ServerWritableStream<EventRequest>;
    private puppetListened;
    constructor(puppet: Puppet);
    busy(): boolean;
    start(stream: grpc.ServerWritableStream<EventRequest>): void;
    stop(): void;
    grpcEmit(type: EventTypeMap[keyof EventTypeMap], // https://stackoverflow.com/a/49286056/1123955
    obj: object): void;
    connectPuppetEventToStreamingCall(): () => void;
    /**
     * Detect if the streaming call was gone (GRPC disconnects)
     *  https://github.com/grpc/grpc/issues/8117#issuecomment-362198092
     */
    private onStreamingCallEnd;
}
//# sourceMappingURL=event-stream-manager.d.ts.map