"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFileBox = void 0;
const wechaty_puppet_1 = require("wechaty-puppet");
const file_box_1 = require("file-box");
exports.serializeFileBox = async (fileBox) => {
    const serializableFileBoxTypes = [
        file_box_1.FileBoxType.Base64,
        file_box_1.FileBoxType.Url,
        file_box_1.FileBoxType.QRCode,
    ];
    if (serializableFileBoxTypes.includes(fileBox.type())) {
        return JSON.stringify(fileBox);
    }
    const base64 = await fileBox.toBase64();
    const name = fileBox.name;
    return JSON.stringify(wechaty_puppet_1.FileBox.fromBase64(base64, name));
};
//# sourceMappingURL=serialize-file-box.js.map